Loading...
Searching...
No Matches
XrdSysPlatform.cc File Reference
`#include <climits>`
`#include <cstdio>`
`#include <cstring>`
`#include <unistd.h>`
`#include <netinet/in.h>`
`#include <sys/types.h>`
Include dependency graph for XrdSysPlatform.cc:

Go to the source code of this file.

## Namespaces

namespace | XrdSys

## Macros

#define | IOV_MAX 1024

## Functions

int | XrdSys::getIovMax ()
size_t | strlcpy (char *dst, const char *src, size_t sz)

## Macro Definition Documentation

## IOV_MAX

#define IOV_MAX 1024

Referenced by XrdSys::getIovMax().

## Function Documentation

## strlcpy()

size_t strlcpy | ( | char * | dst,
|  | const char * | src,
|  | size_t | sz )

Definition at line 60 of file XrdSysPlatform.cc.

{
size_t slen = strlen(src);
size_t tlen =sz-1;
if (slen <= tlen) strcpy(dst, src);
else if (tlen > 0) {strncpy(dst, src, tlen); dst[tlen] = '\0';}
else if (tlen == 0) dst[0] = '\0';
return slen;
}

Referenced by XrdFrcProxy::Add(), XrdFrcReqAgent::Add(), XrdOfsPoscq::Add(), XrdCmsResp::Alloc(), XrdLinkCtl::Alloc(), XrdSecProtocolsss::Authenticate(), XrdOfs::ConfigXeq(), XrdOssSys::ConfigXeq(), XrdFrcProxy::Del(), XrdCmsNode::do_Locate(), XrdCmsNode::do_StatFS(), XrdOucUtils::eText(), XrdOssCache::Find(), XrdOucERoute::Format(), XrdOucUtils::genPath(), XrdFrcCID::Get(), XrdSecProtocolsss::getCredentials(), XrdOucCallBack::Init(), XrdFrcReqFile::List(), XrdFrcReqFile::ListL(), XrdSecProtocolsss::Load_Server(), XrdXrootdPrepare::Log(), XrdFrmMonitor::Map(), XrdOssCache::MapDevs(), XrdOfsTPCAllow::Match(), XrdOssSys::MSS_Readdir(), XrdCmsManList::Next(), XrdOssCache::Parse(), XrdOucExport::ParsePath(), XrdOucPsx::ParseSet(), XrdOucN2N::pfn2lfn(), XrdCmsFinderRMT::Prepare(), XrdFrmMigrate::Queue(), XrdOssDir::Readdir(), XrdPssDir::Readdir(), XrdLinkXeq::Register(), XrdCmsCluster::Remove(), XrdCmsResp::Reply(), XrdOfsHandle::Retire(), XrdLinkMatch::Set(), XrdOucErrInfo::setErrData(), XrdOucErrInfo::setErrInfo(), XrdOucErrInfo::setErrInfo(), XrdNetSocket::socketPath(), XrdFrcReqAgent::Start(), XrdSecProtocolgsiInit(), XrdSecProtocolkrb5Init(), and XrdSecProtocolpwdInit().

Here is the caller graph for this function: